Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bugzilla DB migration completed. Please report issues to Infra team via email via infra@gentoo.org or IRC
Bug 650382 (CVE-2018-1050, CVE-2018-1057) - <net-fs/samba-4.5.16: multiple vulnerabilities (CVE-2018-{1050,1057})
Summary: <net-fs/samba-4.5.16: multiple vulnerabilities (CVE-2018-{1050,1057})
Status: RESOLVED FIXED
Alias: CVE-2018-1050, CVE-2018-1057
Product: Gentoo Security
Classification: Unclassified
Component: Vulnerabilities (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: Gentoo Security
URL:
Whiteboard: B3 [glsa+ cve]
Keywords:
Depends on:
Blocks: CVE-2017-7494 CVE-2017-14746, CVE-2017-15275
  Show dependency tree
 
Reported: 2018-03-13 12:24 UTC by GLSAMaker/CVETool Bot
Modified: 2018-05-22 22:31 UTC (History)
1 user (show)

See Also:
Package list:
=net-fs/samba-4.5.16 =sys-libs/ldb-1.1.29-r1 =sys-libs/tdb-1.3.13 =sys-libs/tevent-0.9.31-r1 =sys-libs/talloc-2.1.9 =net-dns/resolv_wrapper-1.1.5 =net-libs/socket_wrapper-1.1.7
Runtime testing required: ---
stable-bot: sanity-check+


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description GLSAMaker/CVETool Bot gentoo-dev 2018-03-13 12:24:50 UTC
CVE-2018-1057 (https://nvd.nist.gov/vuln/detail/CVE-2018-1057):
  On a Samba 4 AD DC the LDAP server in all versions of Samba from 4.0.0
  onwards incorrectly validates permissions to modify passwords over LDAP
  allowing authenticated users to change any other users passwords, including
  administrative users.

CVE-2018-1050 (https://nvd.nist.gov/vuln/detail/CVE-2018-1050):
  A null pointer indirection in the printer server process may lead to denial
  of service.
Comment 1 Thomas Deutschmann gentoo-dev Security 2018-03-13 12:35:22 UTC
CVE-2018-1057 requires net-fs/samba[addc] and can be mitigated by revoking the change passwords right for everyone from all user objects (including computers) in the directory. Note that this will prevent users from being able to change their own expired passwords, so the maximum password age should be set to a value that prevents user passwords from expiring while the workaround is in place.
Comment 2 Lars Wendler (Polynomial-C) gentoo-dev 2018-03-13 12:47:08 UTC
commit 3ca0d7eafa0c269fe1ba2f598b2fa1d7aac796e9
Author: Lars Wendler <polynomial-c@gentoo.org>
Date:   Tue Mar 13 11:53:37 2018

    net-fs/samba: Security bump to versions 4.5.16, 4.6.14 and 4.7.6
    
    Package-Manager: Portage-2.3.24, Repoman-2.3.6
Comment 3 Stabilization helper bot gentoo-dev 2018-03-13 13:01:26 UTC
An automated check of this bug failed - repoman reported dependency errors (51 lines truncated): 

> dependency.bad net-fs/samba/samba-4.5.16.ebuild: DEPEND: arm(default/linux/arm/13.0) ['>=sys-libs/ldb-1.1.27[ldap(+)?,python(+),abi_x86_32(-)?,abi_x86_64(-)?,abi_x86_x32(-)?,abi_mips_n32(-)?,abi_mips_n64(-)?,abi_mips_o32(-)?,abi_ppc_32(-)?,abi_ppc_64(-)?,abi_s390_32(-)?,abi_s390_64(-)?]', '>=sys-libs/talloc-2.1.8[python,python_targets_python2_7(-)?,-python_single_target_jython2_7(-),-python_single_target_pypy(-),-python_single_target_pypy3(-),-python_single_target_python3_4(-),-python_single_target_python3_5(-),-python_single_target_python3_6(-),python_single_target_python2_7(+),abi_x86_32(-)?,abi_x86_64(-)?,abi_x86_x32(-)?,abi_mips_n32(-)?,abi_mips_n64(-)?,abi_mips_o32(-)?,abi_ppc_32(-)?,abi_ppc_64(-)?,abi_s390_32(-)?,abi_s390_64(-)?]', '>=sys-libs/tdb-1.3.10[python,python_targets_python2_7(-)?,-python_single_target_jython2_7(-),-python_single_target_pypy(-),-python_single_target_pypy3(-),-python_single_target_python3_4(-),-python_single_target_python3_5(-),-python_single_target_python3_6(-),python_single_target_python2_7(+),abi_x86_32(-)?,abi_x86_64(-)?,abi_x86_x32(-)?,abi_mips_n32(-)?,abi_mips_n64(-)?,abi_mips_o32(-)?,abi_ppc_32(-)?,abi_ppc_64(-)?,abi_s390_32(-)?,abi_s390_64(-)?]', '>=sys-libs/tevent-0.9.31-r1[abi_x86_32(-)?,abi_x86_64(-)?,abi_x86_x32(-)?,abi_mips_n32(-)?,abi_mips_n64(-)?,abi_mips_o32(-)?,abi_ppc_32(-)?,abi_ppc_64(-)?,abi_s390_32(-)?,abi_s390_64(-)?]', '>=net-dns/resolv_wrapper-1.1.4', '>=net-libs/socket_wrapper-1.1.7']
> dependency.bad net-fs/samba/samba-4.5.16.ebuild: RDEPEND: arm(default/linux/arm/13.0) ['>=sys-libs/ldb-1.1.27[ldap(+)?,python(+),abi_x86_32(-)?,abi_x86_64(-)?,abi_x86_x32(-)?,abi_mips_n32(-)?,abi_mips_n64(-)?,abi_mips_o32(-)?,abi_ppc_32(-)?,abi_ppc_64(-)?,abi_s390_32(-)?,abi_s390_64(-)?]', '>=sys-libs/talloc-2.1.8[python,python_targets_python2_7(-)?,-python_single_target_jython2_7(-),-python_single_target_pypy(-),-python_single_target_pypy3(-),-python_single_target_python3_4(-),-python_single_target_python3_5(-),-python_single_target_python3_6(-),python_single_target_python2_7(+),abi_x86_32(-)?,abi_x86_64(-)?,abi_x86_x32(-)?,abi_mips_n32(-)?,abi_mips_n64(-)?,abi_mips_o32(-)?,abi_ppc_32(-)?,abi_ppc_64(-)?,abi_s390_32(-)?,abi_s390_64(-)?]', '>=sys-libs/tdb-1.3.10[python,python_targets_python2_7(-)?,-python_single_target_jython2_7(-),-python_single_target_pypy(-),-python_single_target_pypy3(-),-python_single_target_python3_4(-),-python_single_target_python3_5(-),-python_single_target_python3_6(-),python_single_target_python2_7(+),abi_x86_32(-)?,abi_x86_64(-)?,abi_x86_x32(-)?,abi_mips_n32(-)?,abi_mips_n64(-)?,abi_mips_o32(-)?,abi_ppc_32(-)?,abi_ppc_64(-)?,abi_s390_32(-)?,abi_s390_64(-)?]', '>=sys-libs/tevent-0.9.31-r1[abi_x86_32(-)?,abi_x86_64(-)?,abi_x86_x32(-)?,abi_mips_n32(-)?,abi_mips_n64(-)?,abi_mips_o32(-)?,abi_ppc_32(-)?,abi_ppc_64(-)?,abi_s390_32(-)?,abi_s390_64(-)?]']
> dependency.badindev net-fs/samba/samba-4.5.16.ebuild: DEPEND: arm(default/linux/arm/13.0/armv4) ['>=sys-libs/ldb-1.1.27[ldap(+)?,python(+),abi_x86_32(-)?,abi_x86_64(-)?,abi_x86_x32(-)?,abi_mips_n32(-)?,abi_mips_n64(-)?,abi_mips_o32(-)?,abi_ppc_32(-)?,abi_ppc_64(-)?,abi_s390_32(-)?,abi_s390_64(-)?]', '>=sys-libs/talloc-2.1.8[python,python_targets_python2_7(-)?,-python_single_target_jython2_7(-),-python_single_target_pypy(-),-python_single_target_pypy3(-),-python_single_target_python3_4(-),-python_single_target_python3_5(-),-python_single_target_python3_6(-),python_single_target_python2_7(+),abi_x86_32(-)?,abi_x86_64(-)?,abi_x86_x32(-)?,abi_mips_n32(-)?,abi_mips_n64(-)?,abi_mips_o32(-)?,abi_ppc_32(-)?,abi_ppc_64(-)?,abi_s390_32(-)?,abi_s390_64(-)?]', '>=sys-libs/tdb-1.3.10[python,python_targets_python2_7(-)?,-python_single_target_jython2_7(-),-python_single_target_pypy(-),-python_single_target_pypy3(-),-python_single_target_python3_4(-),-python_single_target_python3_5(-),-python_single_target_python3_6(-),python_single_target_python2_7(+),abi_x86_32(-)?,abi_x86_64(-)?,abi_x86_x32(-)?,abi_mips_n32(-)?,abi_mips_n64(-)?,abi_mips_o32(-)?,abi_ppc_32(-)?,abi_ppc_64(-)?,abi_s390_32(-)?,abi_s390_64(-)?]', '>=sys-libs/tevent-0.9.31-r1[abi_x86_32(-)?,abi_x86_64(-)?,abi_x86_x32(-)?,abi_mips_n32(-)?,abi_mips_n64(-)?,abi_mips_o32(-)?,abi_ppc_32(-)?,abi_ppc_64(-)?,abi_s390_32(-)?,abi_s390_64(-)?]', '>=net-dns/resolv_wrapper-1.1.4', '>=net-libs/socket_wrapper-1.1.7']
Comment 4 Lars Wendler (Polynomial-C) gentoo-dev 2018-03-13 13:08:27 UTC
@arches: Test suite will most likely fail. Just do a compile check.
Comment 5 Stabilization helper bot gentoo-dev 2018-03-13 14:04:20 UTC
An automated check of this bug succeeded - the previous repoman errors are now resolved.
Comment 6 Thomas Deutschmann gentoo-dev Security 2018-03-13 22:29:58 UTC
x86 stable
Comment 7 Agostino Sarubbo gentoo-dev 2018-03-14 10:14:18 UTC
amd64 stable
Comment 8 Sergei Trofimovich gentoo-dev 2018-03-14 22:16:28 UTC
commit 678b0b2821c90defe2796a02b8206ad386311e88
Author: Rolf Eike Beer <eike@sf-mail.de>
Date:   Wed Mar 14 19:34:55 2018 +0100

    net-fs/samba: stable 4.5.16 for sparc, bug #650382
Comment 9 Sergei Trofimovich gentoo-dev 2018-03-15 19:25:28 UTC
ia64 stable
Comment 10 Matt Turner gentoo-dev 2018-03-17 19:31:29 UTC
ppc/ppc64 stable
Comment 11 Matt Turner gentoo-dev 2018-03-18 16:40:21 UTC
alpha stable
Comment 12 Matt Turner gentoo-dev 2018-03-21 22:23:36 UTC
Cc'ing hppa@
Comment 13 Matt Turner gentoo-dev 2018-03-22 01:26:05 UTC
actually, since hppa has no keywords we don't need to block security. I'll just stabilize this at some point later.
Comment 14 Mikle Kolyada archtester Gentoo Infrastructure gentoo-dev Security 2018-04-28 20:08:39 UTC
arm stable
Comment 15 Aaron Bauman Gentoo Infrastructure gentoo-dev Security 2018-04-28 21:14:29 UTC
(In reply to Matt Turner from comment #13)
> actually, since hppa has no keywords we don't need to block security. I'll
> just stabilize this at some point later.

hppa has keywords on 4.5.16 and is stable on 4.2.14.
Comment 16 Aaron Bauman Gentoo Infrastructure gentoo-dev Security 2018-05-15 00:50:16 UTC
hppa is now exp.

@maintainer(s), please clean vulnerable.
Comment 17 GLSAMaker/CVETool Bot gentoo-dev 2018-05-22 22:31:04 UTC
This issue was resolved and addressed in
 GLSA 201805-07 at https://security.gentoo.org/glsa/201805-07
by GLSA coordinator Aaron Bauman (b-man).